# The horse will die 5 minutes after its rider dies, or dismounts in any way. Zombie horses don't natrually spawn, so we need to clean them up.
# I didn't feel like just straight up killing them, so I added a plethora of side effects for when its idle

# Hopefully the player doesnt have a mod that enabled tamable zombie horses. Otherwise... they could ride with the horse into the afterlife.
execute as @e[tag=chaos_really_delete_me] at @s run tp @s ~ -1000 ~
execute as @e[tag=chaos_really_delete_me] run kill @s

# Z-Horse/Z-Hoglin has no rider, we must 'natrually' (or unatrually) remove them, as they are an accessory to a zombie, and nothing more.
execute as @e[tag=chaos_ride_accessory] unless data entity @s Passengers run tag @s add chaos_delete_me
# Fail safe for if every other way of reducing hp is somehow immune.
execute as @e[tag=chaos_delete_me] run data modify entity @s FallDistance set value 10f
# Can't forget that the horse is undead and should melt away in the face of the sun
execute as @e[tag=chaos_delete_me] run data modify entity @s Fire set value 9999s
# Poison won't exactly work on the undead, but withering will.
execute as @e[tag=chaos_delete_me] run effect give @s minecraft:wither infinite 255
# Just added adult chicken jockey. We dont want oversize chickens running around, so we need to clean them up, too.
	# And for extra measure, apply infinite health (or damage for undead).
	# execute as @e[tag=chaos_delete_me] run effect give @s minecraft:instant_health infinite
	# And if its not undead...
	# (dont have anything that summons something that isnt undead yet)
	# execute as @e[type=!minecraft:zombie_horse,tag=chaos_delete_me] run effect give @s minecraft:instant_damage infinite

# We'll mark the horse as dead, but if it magically survives, than it won't survive the next cycle with this tag
execute as @e[tag=chaos_delete_me] run tag @s add chaos_really_delete_me

# Every 5 minutes that a z-horse exists, run the check.
execute if entity @e[tag=chaos_ride_accessory] run schedule function chaos:cleanup_unnatrual_spawns 6000t replace
