# say harden
tag @s add chaos_hardened
execute store result score chaos_core_difficulty_chance chaos_core_difficulty_score run function chaos:difficulty_chance
execute unless score chaos_core_difficulty_chance chaos_core_difficulty_score matches 1 run return 0

execute if score chaos_core_difficulty chaos_core_difficulty_score matches 4.. as @s[tag=!chaos_reinforcement,nbt=!{PersistenceRequired:1b}] unless entity @s[tag=chaos_ride] if predicate chaos:logic/can_reinforce at @s if entity @p[distance=30..90] run function chaos:reinforce
execute if score chaos_core_difficulty chaos_core_difficulty_score matches 2.. as @s[nbt=!{PersistenceRequired:1b}] run function chaos:logic/specific_check
execute if score chaos_core_difficulty chaos_core_difficulty_score matches 2.. as @s if predicate chaos:logic/buff run function chaos:apply_attributes

execute if score chaos_core_difficulty chaos_core_difficulty_score matches 3.. as @s[nbt=!{PersistenceRequired:1b}] if predicate chaos:logic/kit if predicate chaos:logic/space/3x3x3 run function chaos:general_chance
execute if score chaos_core_difficulty chaos_core_difficulty_score matches 1.. as @s[tag=!chaos_general,nbt=!{PersistenceRequired:1b}] if predicate chaos:logic/kit run function chaos:equip/kit


execute as @s[tag=!chaos_general] if score chaos_core_difficulty chaos_core_difficulty_score matches 3.. if predicate chaos:logic/set_age if predicate chaos:chance/set_baby run function chaos:set_baby
execute as @s unless data entity @s active_effects if score chaos_core_difficulty chaos_core_difficulty_score matches 2.. if predicate chaos:logic/buff if predicate chaos:chance/buff run function chaos:apply_buffs
execute as @s[tag=!chaos_reinforcement] if score chaos_core_difficulty chaos_core_difficulty_score matches 2.. if predicate chaos:logic/ride/any if predicate chaos:logic/safe_position at @s if predicate chaos:logic/space/3x3x3 run function chaos:logic/mount_check
execute if score chaos_core_difficulty chaos_core_difficulty_score matches 2.. as @s[nbt={Motion:[0.0d],OnGround:1b}] unless entity @s[nbt={PersistenceRequired:1b}] if entity @a[limit=1,sort=nearest,distance=40..180,gamemode=!creative,gamemode=!spectator] if predicate chaos:logic/agro if predicate chaos:chance/agro run function chaos:chase_player
execute as @s[tag=chaos_general,nbt={Motion:[0.0d],OnGround:1b}] unless entity @s[nbt={PersistenceRequired:1b}] if entity @a[limit=1,sort=nearest,distance=40..180,gamemode=!creative,gamemode=!spectator] if predicate chaos:logic/agro run function chaos:chase_player

# execute positioned over world_surface if entity @s[distance=..3] run say over
execute as @s[nbt={PersistenceRequired:0b,CanPickUpLoot:0b}] if predicate chaos:logic/pickup run data modify entity @s CanPickUpLoot set value 1b
execute as @s[nbt={PersistenceRequired:0b,CanBreakDoors:0b}] run data modify entity @s CanBreakDoors set value 1b